
Installer - Feature #3543

add support for external nodes script to run as different user

10/29/2013 05:53 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: Foreman modules   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently the Foreman ENC script does not easily allow you to change the username the script runs as. It would be nice to be able to

set the username in a variable at the top of the script.

Associated revisions

Revision c987cde9 - 11/06/2013 01:35 PM - Greg Petras

fixes #3543 - added support for running puppet as a different user

History

#1 - 10/29/2013 05:59 PM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from External Nodes to Foreman modules

#2 - 10/31/2013 12:39 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.15.0

https://github.com/theforeman/puppet-foreman/pull/121

#3 - 11/06/2013 01:53 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|commit:c987cde9f2d63dec22abf43b75555e432e99cfcb.

#4 - 11/06/2013 01:53 PM - Dominic Cleal

- Assignee set to Greg Petras

- translation missing: en.field_release set to 2
